Status: Rejected Start date: November 21, 2016

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

audtool playback-pause works like playback-playpause, but it should only pause.

audtool playback-playing returns 0 in any case

History

#1 - November 21, 2016 17:48 - John Lindgren

- Status changed from New to Rejected

Working as intended, not a bug.

#2 - November 21, 2016 18:25 - Netslovdlyasnov Netslovdlyasnov

How do I pause playback then?

If it is currently playing - it's ok, but if it's paused it starts playing.

I want to pause unconditionally.

#3 - November 22, 2016 02:32 - John Lindgren

#!/bin/sh

if ! audtool playback-paused ; then audtool playback-pause ; fi

 

The forum is the best place for "how to" questions.

#4 - November 22, 2016 09:01 - Netslovdlyasnov Netslovdlyasnov

Ok, that's one way of doing this, but

if audtool playback-playing; then audtool playback-pause; fi

doesn't work and it is a bug.

Also by logic there is a special command "playback-playpause" to toggle playback, and "playback-pause" must only pause, not starting playback

again if paused.
